Name:          libcfg+
Release:       2qilnx_1olea
Version:       0.6.2
Summary:       A C library that features multi- command line and configuration file parsing
Group:         System/Libraries
Vendor:        QiLinux
Packager:      Silvan Calarco <silvan.calarco@qilinux.it>
URL:           http://freshmeat.net/projects/libcfgplus/
Source:        http://platon.sk/upload/_projects/00003/%{name}-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: docbook-utils

%description
libcfg+ is a C library that features multi- command line and configuration file parsing. It is possible to set up various special properties such as quoting characters, deliminator strings, file comment prefixes, multi-line postfixes, and more. It supports many data types such as booleans, integers, decimal numbers, strings with many additional data type flags (such as multiple values for a single option). 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
libcfg+ is a C library that features multi- command line and configuration file parsing. It is possible to set up various special properties such as quoting characters, deliminator strings, file comment prefixes, multi-line postfixes, and more. It supports many data types such as booleans, integers, decimal numbers, strings with many additional data type flags (such as multiple values for a single option). 

This package contains static libraries and header files need for development.

%prep
%setup -q 

%build
./configure \
   --prefix=%{_prefix} \
   --mandir=%{_mandir}

%install
test x%{buildroot} != x/ && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
test x%{buildroot} != x/ && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%doc AUTHORS COPYING ChangeLog INSTALL README TODO

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/platon/*.h
%{_libdir}/*.a
%{_mandir}/man3/*

%changelog
* Fri Sep 16 2005 Ismael Olea <ismael@olea.org>
- ported to FC3

* Tue Sep 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.6.2-2qilnx
- moved libcfg+.so library from devel package to main package

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@qilinux.it> 0.6.2-1qilnx
- package created by autospec
